Bug 180466 - xmessage is very slow when writing to x-termals
xmessage is very slow when writing to x-termals
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
4
All Linux
medium Severity low
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-08 04:58 EST by Joachim Backes
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-27 13:01:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace xmessage output (9.78 KB, application/x-gzip)
2006-02-08 05:00 EST, Joachim Backes
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 5857 None None None Never

  None (edit)
Description Joachim Backes 2006-02-08 04:58:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051202 Fedora/1.5-0.fc4 Firefox/1.5

Description of problem:
When using xmessage writing to x-terminal such as IGEL or NCD, the behaviour of xmessage is very strange: using xmessage with small text files is very slow (takes some 6 or 7 seconds to generate the output). 

Version-Release number of selected component (if applicable):
xorg-x11-tools-6.8.2-37.FC4.49.2

How reproducible:
Always

Steps to Reproduce:
1.Login to FC4 machine via X-terminal
2.xmessage -file <somefile>
3.
  

Actual Results:  Taking a long time until to see the file contents

Expected Results:  Seeing output at once

Additional info:

No problems when output to some linux box instead of xterminal. I will send an strace output for xmessage.
Comment 1 Joachim Backes 2006-02-08 05:00:49 EST
Created attachment 124370 [details]
strace xmessage output
Comment 2 Mike A. Harris 2006-02-09 11:57:54 EST
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 3 Joachim Backes 2006-02-10 01:00:17 EST
The xorg.bugzilla bug # is 5857 .
Comment 4 Mike A. Harris 2006-06-27 13:01:46 EDT
Thanks, tracking upstream now at:

http://freedesktop.org/bugzilla/show_bug.cgi?id=5857

Note You need to log in before you can comment on or make changes to this bug.